# -*- coding: utf-8 -*-
"""
Automatic imports for the interpreter.
"""

from common.database.DBMain import DBObject
from common.database.DataObject import DataObject
from micado.main.BaseFrame import BaseFrame
from micado.main.Raw import Raw
from micado.main.Detector import Detector
from micado.main.Dark import Dark
from micado.main.Imstat import Imstat
from micado.main.MasterDark import MasterDark
from micado.main.Image import Image
from micado.main.Requirement import Requirement
from micado.main.Simulator import (
     ParameterNameValue,
     SimADCTC,
     SimAtmosphericTC,
     SimBase,
     SimChipLayout,
     SimDetector,
     SimDichroicTC,
     SimEntranceWindowTC,
     SimFilterTC,
     SimMirrorTC,
     SimNoiseFrame,
     SimPCA,
     SimPsf,
     SimQE,
     SimSources,
     SimTransmissionCurve,
     SimulatorParameters,
     SimulatorRun,
)

__all__ = [
    DBObject,
    DataObject,
    Detector,
    Raw,
    Dark,
    MasterDark,
    BaseFrame,
    Imstat,
    Requirement,
    Image,

    ParameterNameValue,
    SimADCTC,
    SimAtmosphericTC,
    SimBase,
    SimChipLayout,
    SimDetector,
    SimDichroicTC,
    SimEntranceWindowTC,
    SimFilterTC,
    SimMirrorTC,
    SimNoiseFrame,
    SimPCA,
    SimPsf,
    SimQE,
    SimSources,
    SimTransmissionCurve,
    SimulatorParameters,
    SimulatorRun,
]
