# -*- coding: utf-8 -*-
"""
Tests for Dark.py
"""

import tempfile
import shutil

from micado.main.Dark import Dark
from micado.main.Detector import Detector


def test_dark():
    mydetector = Detector()
    mydetector.FPA_DARK_MEDIAN = 10000.

    dark1 = Dark()
    dark1.detector = mydetector
    dark1.make_simulation()

    dark1.save_fits()
    fn = dark1.filename

    dark2 = Dark()
    dark2.filename = fn
    dark2.load_fits()

    assert (dark2.image == dark1.image).all(), "Wrong image data"
    assert dark1.NAXIS1 == dark2.NAXIS1, "Wrong NAXIS1"
    assert dark1.NAXIS2 == dark2.NAXIS2, "Wrong NAXIS2"

    fn3 = tempfile.NamedTemporaryFile(suffix='.fits', delete=False).name
    shutil.copy(fn, fn3)

    dark3 = Dark()
    dark3.load_fits(fn3)
    dark3.unique_filename()

    hash1 = dark1.filename.split("_")[-1]
    hash3 = dark3.filename.split("_")[-1]
    assert hash1 == hash3, "Bad file hashes"
